Opened 7 years ago

Closed 7 years ago

#25377 closed defect (fixed)

rabbitmq-server build broken by erlang upgrade to R14A

Reported by: david@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.9.1
Keywords: Cc: bfulgham@…, meyer@…, tonyg@…
Port: erlang rabbitmq-server

Description

The rabbitmq-server 1.7.2 port does not build after the upgrade to R14A.

In fact, the R14A release of Erlang is a beta release, in advance of the R14B production release scheduled for September. Putting it into macports a few days after its release, before any erlang-based applications have had time to address the breakage it has created (see also #25373), seems a bit premature.

This build issue in rabbitmq-server will be fixed in the next released version of rabbitmq-server (after 1.8.0). However, that release may be several weeks away. The rabbitmq team considers that anyone who has chosen to run erlang R14A ought to be willing to get the fixed rabbitmq-server from Mercurial. But clearly, this doesn't apply to macports.

How about downgrading the default erlang port to R13A4? Perhaps an optional R14A port could be provided for those user who really want to try the bleeding edge.

Change History (2)

comment:1 Changed 7 years ago by jmroot (Joshua Root)

  • Cc bfulgham@… meyer@… tonyg@… added
  • Port rabbitmq-server added

Please remember to cc the maintainers.

comment:2 Changed 7 years ago by jmroot (Joshua Root)

  • Resolution set to fixed
  • Status changed from new to closed

rabbitmq-server is at 2.1.1 now.

Note: See TracTickets for help on using tickets.